commit:     78681eeeacc8a4ebc0738bba51c18bfc0122491e
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 24 10:28:04 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Sep 24 10:35:06 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78681eee

sys-fs/e2fsprogs: bump to v1.45.4

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-fs/e2fsprogs/Manifest                |   1 +
 sys-fs/e2fsprogs/e2fsprogs-1.45.4.ebuild | 144 +++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

diff --git a/sys-fs/e2fsprogs/Manifest b/sys-fs/e2fsprogs/Manifest
index 71a017c640b..ed44e44a84b 100644
--- a/sys-fs/e2fsprogs/Manifest
+++ b/sys-fs/e2fsprogs/Manifest
@@ -2,3 +2,4 @@ DIST e2fsprogs-1.42.9-mint-r1.patch.xz 9012 BLAKE2B 
ae6421587c3cca2f9b26805c5f8d
 DIST e2fsprogs-1.44.5.tar.xz 5375996 BLAKE2B 
a6069e7c4889cdd3a30d94994d179c024edf098205012446677c76ed206f18e71a0f241527ac33ee35eebdfa8fe87a81dde5228694186fc4e1e55e5b7bc87862
 SHA512 
c0faec90b2be81460d374c150be917cd6beb1d10dc7cd0c6c4747de19de9af1763e90d48aec5b3c0fbff1b59bf79a35f93536cd52e68d1e45d4db610e158bb2e
 DIST e2fsprogs-1.45.2.tar.xz 5560504 BLAKE2B 
c7764eb7fd67c422007cf2d884496babf78663ce6dab674fb023738b69e270c601dded89fc65fe4e7e1853cf8234772bfc2e28a1189b8dfd3f9e6fa34677f664
 SHA512 
50fdb7769c789fb143b2e4bd56e6b55eac8f84be5b7074008134fa56d980342c2307e62380f9ba6a8ab9bbc6bbf45b349aad540c8f239cf859706fd33e521e5e
 DIST e2fsprogs-1.45.3.tar.xz 5561452 BLAKE2B 
ee41f35c3294ccb8dad4274e44d9c07dc94f93d2e921472c34da7913cdb2d60f998fa154c98f6ba4f9e598de152006a0fdb63a9006bbf3bb1847166d9342a29f
 SHA512 
9f898d353af48a1d357cb01f64187b6dfef671bb2e0450438530fe4fa9454fccc6b755c9469d81e702e6d85a4defd02ae0a493897a4b3284cb112e8444c9bf52
+DIST e2fsprogs-1.45.4.tar.xz 5567164 BLAKE2B 
ab7be15e504b674290a25572d09d1ca4bacebc14d23a0ae400636bdcf3bf117f3aaf82b806ca7fd25dcd6ef9fedff588de7c72134b095e27f7a363f7d70c94c7
 SHA512 
408f093a6674ef2316c451173481851041957617c550308d2969b983e11d988ddfc120626cd957c0759648bc357edf1d9971e6d46bed109c2af5f8a09bdc5bda

diff --git a/sys-fs/e2fsprogs/e2fsprogs-1.45.4.ebuild 
b/sys-fs/e2fsprogs/e2fsprogs-1.45.4.ebuild
new file mode 100644
index 00000000000..e8d3b12ae9d
--- /dev/null
+++ b/sys-fs/e2fsprogs/e2fsprogs-1.45.4.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic systemd toolchain-funcs udev usr-ldscript
+
+DESCRIPTION="Standard EXT2/EXT3/EXT4 filesystem utilities"
+HOMEPAGE="http://e2fsprogs.sourceforge.net/";
+SRC_URI="mirror://sourceforge/e2fsprogs/${P}.tar.xz
+       mirror://kernel/linux/kernel/people/tytso/e2fsprogs/v${PV}/${P}.tar.xz
+       elibc_mintlib? ( mirror://gentoo/${PN}-1.42.9-mint-r1.patch.xz )"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sh ~sparc ~x86 -x86-fbsd ~amd64-linux ~x86-linux ~m68k-mint"
+IUSE="cron fuse nls static-libs elibc_FreeBSD"
+
+RDEPEND="~sys-libs/${PN}-libs-${PV}
+       >=sys-apps/util-linux-2.16
+       cron? ( sys-fs/lvm2[-device-mapper-only(-)] )
+       fuse? ( sys-fs/fuse:0 )
+       nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+       sys-apps/texinfo
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.44.6-parallel_install.patch
+       "${FILESDIR}"/${PN}-1.40-fbsd.patch
+       "${FILESDIR}"/${PN}-1.42.13-fix-build-cflags.patch #516854
+
+       # Upstream patches (can usually removed with next version bump)
+)
+
+src_prepare() {
+       if [[ ${CHOST} == *-mint* ]] ; then
+               PATCHES+=( "${WORKDIR}"/${PN}-1.42.9-mint-r1.patch )
+       fi
+
+       default
+
+       cp doc/RelNotes/v${PV}.txt ChangeLog || die "Failed to copy Release 
Notes"
+
+       # Get rid of doc -- we don't use them. This also prevents a sandbox
+       # violation due to mktexfmt invocation
+       rm -r doc || die "Failed to remove doc dir"
+
+       # blargh ... trick e2fsprogs into using e2fsprogs-libs
+       sed -i -r \
+               -e 's:@LIBINTL@:@LTLIBINTL@:' \
+               -e 
'/^(STATIC_)?LIB(COM_ERR|SS)/s:[$][(]LIB[)]/lib([^@]*)@(STATIC_)?LIB_EXT@:-l\1:'
 \
+               -e '/^DEP(STATIC_)?LIB(COM_ERR|SS)/s:=.*:=:' \
+               MCONFIG.in || die "muck libs" #122368
+       sed -i -r \
+               -e '/^LIB_SUBDIRS/s:lib/(et|ss)::g' \
+               Makefile.in || die "remove subdirs"
+       ln -s $(which mk_cmds) lib/ss/ || die
+
+       # Avoid rebuild
+       echo '#include_next <ss/ss_err.h>' > lib/ss/ss_err.h
+}
+
+src_configure() {
+       # Keep the package from doing silly things #261411
+       export VARTEXFONTS="${T}/fonts"
+
+       # needs open64() prototypes and friends
+       append-cppflags -D_GNU_SOURCE
+
+       local myeconfargs=(
+               --with-root-prefix="${EPREFIX}"
+               $(use_with cron crond-dir "${EPREFIX}/etc/cron.d")
+               --with-systemd-unit-dir="$(systemd_get_systemunitdir)"
+               --with-udev-rules-dir="${EPREFIX}$(get_udevdir)/rules.d"
+               --enable-symlink-install
+               --enable-elf-shlibs
+               $(tc-has-tls || echo --disable-tls)
+               --without-included-gettext
+               $(use_enable fuse fuse2fs)
+               $(use_enable nls)
+               --disable-libblkid
+               --disable-libuuid
+               --disable-fsck
+               --disable-uuidd
+       )
+       ac_cv_path_LDCONFIG=: econf "${myeconfargs[@]}"
+
+       if [[ ${CHOST} != *-uclibc ]] && grep -qs 'USE_INCLUDED_LIBINTL.*yes' 
config.{log,status} ; then
+               eerror "INTL sanity check failed, aborting build."
+               eerror "Please post your ${S}/config.log file as an"
+               eerror "attachment to 
https://bugs.gentoo.org/show_bug.cgi?id=81096";
+               die "Preventing included intl cruft from building"
+       fi
+}
+
+src_compile() {
+       emake V=1 COMPILE_ET=compile_et MK_CMDS=mk_cmds
+
+       # Build the FreeBSD helper
+       if use elibc_FreeBSD ; then
+               cp "${FILESDIR}"/fsck_ext2fs.c .
+               emake V=1 fsck_ext2fs
+       fi
+}
+
+src_install() {
+       # need to set root_libdir= manually as any --libdir options in the
+       # econf above (i.e. multilib) will screw up the default #276465
+       emake \
+               STRIP=: \
+               root_libdir="${EPREFIX}/usr/$(get_libdir)" \
+               DESTDIR="${D}" \
+               install install-libs
+
+       einstalldocs
+
+       insinto /etc
+       doins "${FILESDIR}"/e2fsck.conf
+
+       # Move shared libraries to /lib/, install static libraries to
+       # /usr/lib/, and install linker scripts to /usr/lib/.
+       gen_usr_ldscript -a e2p ext2fs
+
+       # configure doesn't have an option to disable static libs :/
+       if ! use static-libs ; then
+               find "${ED}" -name '*.a' -delete || die
+       fi
+
+       if use elibc_FreeBSD ; then
+               # Install helpers for us
+               into /
+               dosbin "${S}"/fsck_ext2fs
+               doman "${FILESDIR}"/fsck_ext2fs.8
+
+               # filefrag is linux only
+               rm \
+                       "${ED}"/usr/sbin/filefrag \
+                       "${ED}"/usr/share/man/man8/filefrag.8 || die
+       fi
+}

Reply via email to